NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Diagramming::LeaderLineBuilder Class Reference

Represents a LeaderLineBuilder. More...

Inheritance diagram for NXOpen::Diagramming::LeaderLineBuilder:
NXOpen::Diagramming::SheetElementBuilder NXOpen::Diagramming::BaseObjectBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  VerticalAlignmentOption { VerticalAlignmentOptionTop, VerticalAlignmentOptionMiddle, VerticalAlignmentOptionBottom }
 Represents the option NXOpen::Diagramming::LeaderLineBuilder::VerticalAlignment for a NXOpen::Diagramming::LeaderLineBuilder . More...
 
- Public Types inherited from NXOpen::Diagramming::SheetElementBuilder
enum  ResizeOptionType {
  ResizeOptionTypeAnyDirection, ResizeOptionTypeOnAnchor, ResizeOptionTypeSameRatio, ResizeOptionTypeSameRationOnCorner,
  ResizeOptionTypeSameRatioOnEdge
}
 Represents the resize option for a NXOpen::Diagramming::SheetElementBuilder . More...
 

Public Member Functions

NXOpen::Diagramming::DiagrammingArrowtype ArrowType ()
 Returns the arrow type of the end arrow
Created in NX10.0.0. More...
 
void GetBendPoints (std::vector< NXOpen::Point2d > &points)
 Get bending points for polyline to render the leader line. More...
 
void GetTerminator (NXOpen::Diagramming::SheetElement **terminator, int *segmentId, double *percentX, double *inputX, double *percentY, double *inputY)
 Gets the terminator of the leader. More...
 
void SetArrowType (NXOpen::Diagramming::DiagrammingArrowtype arrowTypeOption)
 Sets the arrow type of the end arrow
Created in NX10.0.0. More...
 
void SetBendPoints (const std::vector< NXOpen::Point2d > &points)
 Set bending points for polyline to render the leader line. More...
 
void SetStubLength (double stubLength)
 Sets the stub length of this leader line. More...
 
void SetStubSides (NXOpen::Diagramming::DiagrammingStubsides stubSides)
 Sets the stub sides of this leader line. More...
 
void SetTerminator (NXOpen::Diagramming::SheetElement *terminator, int segmentId, double percentX, double inputX, double percentY, double inputY)
 Sets the terminator of the leader. More...
 
void SetVerticalAlignment (NXOpen::Diagramming::LeaderLineBuilder::VerticalAlignmentOption alignmentOption)
 Sets the vertical alignment option. More...
 
double StubLength ()
 Returns the stub length of this leader line. More...
 
NXOpen::Diagramming::DiagrammingStubsides StubSides ()
 Returns the stub sides of this leader line. More...
 
NXOpen::Diagramming::LeaderLineBuilder::VerticalAlignmentOption VerticalAlignment ()
 Returns the vertical alignment option. More...
 
- Public Member Functions inherited from NXOpen::Diagramming::SheetElementBuilder
void GetAllowedTransformations (bool *isAllowedTranslation, bool *isAllowedRotation, bool *isAllowedScale, bool *isAllowedShear)
 Get the allowed transformations of the sheet element. More...
 
void GetMinNodeSize (std::vector< double > &sizeValues)
 Gets the minimum node size values
Created in NX11.0.0. More...
 
double Height ()
 Returns the height. More...
 
NXOpen::Diagramming::DiagrammingSizingpolicy HeightPolicy ()
 Returns the height policy. More...
 
bool Internal ()
 Returns the flag that indicates if the sheet element is internal. More...
 
NXOpen::Diagramming::AnnotationLabel ()
 Returns the label of this sheet element. More...
 
NXString LabelName ()
 Returns the label name of this sheet element. More...
 
NXOpen::Diagramming::LocationBuilderLocation ()
 Returns the location of the sheet element relative to another sheet element. More...
 
NXOpen::Diagramming::DiagrammingLocationstyle LocationStyle ()
 Returns the location style. More...
 
bool MirrorX ()
 Returns the sheet element to Mirror along the X axis. More...
 
bool MirrorY ()
 Returns the sheet element to Mirror along the Y axis. More...
 
NXOpen::Diagramming::SheetElementOwner ()
 Returns the owning sheet element. More...
 
NXOpen::Diagramming::SheetOwningSheet ()
 Returns the owning sheet. More...
 
NXOpen::Diagramming::SheetElementBuilder::ResizeOptionType ResizeOption ()
 Returns the resize option of the sheet element
Created in NX11.0.0. More...
 
double Rotation ()
 Returns the rotation angle that is counter clockwise and relative to the owner. More...
 
void SetHeight (double height)
 Sets the height. More...
 
void SetHeightPolicy (NXOpen::Diagramming::DiagrammingSizingpolicy heightPolicy)
 Sets the height policy. More...
 
void SetLabelName (const NXString &labelname)
 Sets the label name of this sheet element. More...
 
void SetLabelName (const char *labelname)
 Sets the label name of this sheet element. More...
 
void SetLocationStyle (NXOpen::Diagramming::DiagrammingLocationstyle locationStyle)
 Sets the location style. More...
 
void SetMinNodeSize (const std::vector< double > &sizeValues)
 Sets the minimum node size values
Created in NX11.0.0. More...
 
void SetMirrorX (bool mirrorX)
 Sets the sheet element to Mirror along the X axis. More...
 
void SetMirrorY (bool mirrorY)
 Sets the sheet element to Mirror along the Y axis. More...
 
void SetOwner (NXOpen::Diagramming::SheetElement *owner)
 Sets the owning sheet element. More...
 
void SetOwningSheet (NXOpen::Diagramming::Sheet *owningSheet)
 Set the owning sheet when the sheet element is created. More...
 
void SetResizeOption (NXOpen::Diagramming::SheetElementBuilder::ResizeOptionType resizeOption)
 Sets the resize option of the sheet element
Created in NX11.0.0. More...
 
void SetRotation (double angle)
 Sets the rotation angle that is counter clockwise and relative to the owner. More...
 
void SetWidth (double width)
 Sets the width. More...
 
void SetWidthPolicy (NXOpen::Diagramming::DiagrammingSizingpolicy widthPolicy)
 Sets the width policy. More...
 
void SetX (double x)
 Sets the absolute x coordinate. More...
 
void SetY (double y)
 Sets the absolute y coordinate. More...
 
void SetZDepth (int zDepth)
 Sets the Z depth. More...
 
NXOpen::Diagramming::SheetElementSourceElement ()
 Returns the source element that records which sheet element it is a copy of. More...
 
bool UpToDate ()
 Returns the flag that indicates if the sheet element is up to date. More...
 
bool Visible ()
 Returns the flag that indicates if the sheet element is visible. More...
 
double Width ()
 Returns the width. More...
 
NXOpen::Diagramming::DiagrammingSizingpolicy WidthPolicy ()
 Returns the width policy. More...
 
double X ()
 Returns the absolute x coordinate. More...
 
double Y ()
 Returns the absolute y coordinate. More...
 
int ZDepth ()
 Returns the Z depth. More...
 

Detailed Description

Represents a LeaderLineBuilder.


To create a new instance of this class, use NXOpen::Diagramming::LeaderLineCollection::CreateLeaderLineBuilder

Created in NX10.0.0.

Member Enumeration Documentation

Represents the option NXOpen::Diagramming::LeaderLineBuilder::VerticalAlignment for a NXOpen::Diagramming::LeaderLineBuilder .


Created in NX10.0.0.

Enumerator
VerticalAlignmentOptionTop 

Setting the vertical alignment top.

VerticalAlignmentOptionMiddle 

Setting the vertical alignment middle.

VerticalAlignmentOptionBottom 

Setting the vertical alignment bottom.

Member Function Documentation

NXOpen::Diagramming::DiagrammingArrowtype NXOpen::Diagramming::LeaderLineBuilder::ArrowType ( )

Returns the arrow type of the end arrow
Created in NX10.0.0.



License requirements : None

void NXOpen::Diagramming::LeaderLineBuilder::GetBendPoints ( std::vector< NXOpen::Point2d > &  points)

Get bending points for polyline to render the leader line.


Created in NX10.0.0.

License requirements : None

Parameters
pointspoints
void NXOpen::Diagramming::LeaderLineBuilder::GetTerminator ( NXOpen::Diagramming::SheetElement **  terminator,
int *  segmentId,
double *  percentX,
double *  inputX,
double *  percentY,
double *  inputY 
)

Gets the terminator of the leader.


Created in NX11.0.0.

License requirements : None

Parameters
terminatorterminator
segmentIdsegmentid
percentXpercentx
inputXinputx
percentYpercenty
inputYinputy
void NXOpen::Diagramming::LeaderLineBuilder::SetArrowType ( NXOpen::Diagramming::DiagrammingArrowtype  arrowTypeOption)

Sets the arrow type of the end arrow
Created in NX10.0.0.



License requirements : None

Parameters
arrowTypeOptionarrowtypeoption
void NXOpen::Diagramming::LeaderLineBuilder::SetBendPoints ( const std::vector< NXOpen::Point2d > &  points)

Set bending points for polyline to render the leader line.


Created in NX10.0.0.

License requirements : None

Parameters
pointspoints
void NXOpen::Diagramming::LeaderLineBuilder::SetStubLength ( double  stubLength)

Sets the stub length of this leader line.

The negative value is not expected.
Created in NX10.0.0.

License requirements : None

Parameters
stubLengthstublength
void NXOpen::Diagramming::LeaderLineBuilder::SetStubSides ( NXOpen::Diagramming::DiagrammingStubsides  stubSides)

Sets the stub sides of this leader line.


Created in NX10.0.0.

License requirements : None

Parameters
stubSidesstubsides
void NXOpen::Diagramming::LeaderLineBuilder::SetTerminator ( NXOpen::Diagramming::SheetElement terminator,
int  segmentId,
double  percentX,
double  inputX,
double  percentY,
double  inputY 
)

Sets the terminator of the leader.


Created in NX11.0.0.

License requirements : None

Parameters
terminatorterminator
segmentIdsegmentid
percentXpercentx
inputXinputx
percentYpercenty
inputYinputy
void NXOpen::Diagramming::LeaderLineBuilder::SetVerticalAlignment ( NXOpen::Diagramming::LeaderLineBuilder::VerticalAlignmentOption  alignmentOption)

Sets the vertical alignment option.


Created in NX10.0.0.

License requirements : None

Parameters
alignmentOptionalignmentoption
double NXOpen::Diagramming::LeaderLineBuilder::StubLength ( )

Returns the stub length of this leader line.

The negative value is not expected.
Created in NX10.0.0.

License requirements : None

NXOpen::Diagramming::DiagrammingStubsides NXOpen::Diagramming::LeaderLineBuilder::StubSides ( )

Returns the stub sides of this leader line.


Created in NX10.0.0.

License requirements : None

NXOpen::Diagramming::LeaderLineBuilder::VerticalAlignmentOption NXOpen::Diagramming::LeaderLineBuilder::VerticalAlignment ( )

Returns the vertical alignment option.


Created in NX10.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.